Home assistant not reporting Envisalink Alarm system properly

my DSC connected to the Envisalink was working fine with HA
now i see some windows are opened even though i know for sure they are closed.
as you can see the alarm system is armed away. yet the windows are showing as opened. (there is no way you can arm the system with windows opened)

i have tried rebooting the pi3 many times and the issue didnt go away

Have you tried logging into the Envisalink to check the status? It might just be reporting the window sensors incorrectly. You can also try resetting the Envisalink if all else fails.

I’ve seen issues with my Envisalink as well, but only if too many windows/doors are open.

If up to five sensors report open, they seem to show up fine.
More than that and I see sensors switching status in HA without any doors/windows being opened or closed.
Very annoying, but I think it might have to do with the fact that the reporting interval is not long enough to report the status of all sensors (6 door, 8 window, 1 motion) in it.

I have included the following template in my configuration now and will work with the True/False output from it - seems to be pretty reliable as a summary status:

sensor:
  - platform: template
    sensors:
      ready_to_arm:
        value_template: '{{ states.sensor.home_alarm_keypad.attributes["ready"] }}'
        friendly_name: Ready to Arm?

As I have a ‘Comm. Failure’ message as part of the Alarm Panel Status that I just cannot get rid of as well, this is probably what I’ll use to trigger automations, etc. going forward.

I have had similar issues but I could always resolve it by ensure that HA is logged into Envisalink properly and not booted out because of a bad log off. I normall need to stop HA, then go to envisalink local webpage network settings and reset it if it shows a user is logged in before starting HA. I watch the log file for envisalink errors.

theres something seriously going on.
looking at my other tabs, i see errors as well. example…i know these devices are online and should be marked as “home”

but now they are showing up as “not home”

is it envisalink or nmap?

i dont know. what do you suggest?
im new to linux and HA, so my options are update HA to latest version, wipe the rpi clean and reinstall HA and copy n paste all the settings and rules back in

try the log file, it will tell you if there is a problem.

image

this is all i see:
2017-09-13 12:24:59 WARNING (Recorder) [homeassistant.components.recorder] Ended unfinished session (id=202 from 2017-09-09 00:17:45.876381)
2017-09-13 12:25:12 ERROR (Thread-1) [homeassistant.components.device_tracker.actiontec] Unexpected response from router
Traceback (most recent call last):
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/homeassistant/components/device_tracker/actiontec.py”, line 102, in get_actiontec_data
telnet.read_until(b’Username: ')
File “/usr/lib/python3.4/telnetlib.py”, line 329, in read_until
return self.read_very_lazy()
File “/usr/lib/python3.4/telnetlib.py”, line 405, in read_very_lazy
raise EOFError(‘telnet connection closed’)
EOFError: telnet connection closed
2017-09-13 12:25:12 ERROR (MainThread) [homeassistant.components.device_tracker] Error setting up platform actiontec
2017-09-13 12:25:17 WARNING (MainThread) [homeassistant.components.sensor.template] Could not render template fibaro 3fl Battery, the state is unknown.
2017-09-13 12:25:18 WARNING (MainThread) [homeassistant.components.sensor.template] Could not render template Fibaro basement battery, the state is unknown.
2017-09-13 12:25:18 WARNING (MainThread) [homeassistant.components.sensor.template] Could not render template ZooZ 2fl Battery, the state is unknown.
2017-09-13 12:25:18 WARNING (MainThread) [homeassistant.components.sensor.template] Could not render template ZooZ 1fl Battery, the state is unknown.
2017-09-13 12:52:52 WARNING (Thread-9) [netdisco.ssdp] Error fetching description at http://192.168.1.110:8200/rootDesc.xml

i just fixed the problem with the actiontec.py. recently i resetted the verizon router back to factory default but forgot to re-enable telnet.
so now the log shows:

The following errors have been logged this session:

2017-09-13 16:04:52 WARNING (MainThread) [homeassistant.components.sensor.template] Could not render template Fibaro basement battery, the state is unknown.
2017-09-13 16:04:52 WARNING (MainThread) [homeassistant.components.sensor.template] Could not render template fibaro 3fl Battery, the state is unknown.
2017-09-13 16:04:53 WARNING (MainThread) [homeassistant.components.sensor.template] Could not render template ZooZ 1fl Battery, the state is unknown.
2017-09-13 16:04:53 WARNING (MainThread) [homeassistant.components.sensor.template] Could not render template ZooZ 2fl Battery, the state is unknown.
2017-09-13 16:05:24 WARNING (Thread-8) [netdisco.ssdp] Error fetching description at http://192.168.1.110:8200/rootDesc.xml
2017-09-13 16:05:32 WARNING (Thread-9) [pywemo.ssdp] Error fetching description at http://192.168.1.110:8200/rootDesc.xml
2017-09-13 16:05:49 WARNING (MainThread) [homeassistant.components.switch] Setup of platform wemo is taking over 10 seconds.
2017-09-13 16:05:50 ERROR (MainThread) [homeassistant.components.switch] Error while setting up platform wemo
Traceback (most recent call last):
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/packages/urllib3/connection.py”, line 141, in _new_conn
(self.host, self.port), self.timeout, **extra_kw)
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/packages/urllib3/util/connection.py”, line 83, in create_connection
raise err
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/packages/urllib3/util/connection.py”, line 73, in create_connection
sock.connect(sa)
socket.timeout: timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py”, line 600, in urlopen
chunked=chunked)
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py”, line 356, in _make_request
conn.request(method, url, **httplib_request_kw)
File “/usr/lib/python3.4/http/client.py”, line 1090, in request
self._send_request(method, url, body, headers)
File “/usr/lib/python3.4/http/client.py”, line 1128, in _send_request
self.endheaders(body)
File “/usr/lib/python3.4/http/client.py”, line 1086, in endheaders
self._send_output(message_body)
File “/usr/lib/python3.4/http/client.py”, line 924, in _send_output
self.send(msg)
File “/usr/lib/python3.4/http/client.py”, line 859, in send
self.connect()
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/packages/urllib3/connection.py”, line 166, in connect
conn = self._new_conn()
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/packages/urllib3/connection.py”, line 146, in _new_conn
(self.host, self.timeout))
requests.packages.urllib3.exceptions.ConnectTimeoutError: (<requests.packages.urllib3.connection.HTTPConnection object at 0x69f24ed0>, ‘Connection to 192.168.1.11 timed out. (connect timeout=10)’)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/adapters.py”, line 438, in send
timeout=timeout
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/packages/urllib3/connectionpool.py”, line 649, in urlopen
_stacktrace=sys.exc_info()[2])
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/packages/urllib3/util/retry.py”, line 388, in increment
raise MaxRetryError(_pool, url, error or ResponseError(cause))
requests.packages.urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host=‘192.168.1.11’, port=49153): Max retries exceeded with url: /setupservice.xml (Caused by ConnectTimeoutError(<requests.packages.urllib3.connection.HTTPConnection object at 0x69f24ed0>, ‘Connection to 192.168.1.11 timed out. (connect timeout=10)’))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/homeassistant/helpers/entity_component.py”, line 164, in _async_setup_platform
SLOW_SETUP_MAX_WAIT, loop=self.hass.loop)
File “/usr/lib/python3.4/asyncio/tasks.py”, line 372, in wait_for
return fut.result()
File “/usr/lib/python3.4/asyncio/futures.py”, line 277, in result
raise self._exception
File “/usr/lib/python3.4/concurrent/futures/thread.py”, line 54, in run
result = self.fn(*self.args, **self.kwargs)
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/homeassistant/components/switch/wemo.py”, line 41, in setup_platform
device = discovery.device_from_description(location, mac)
File “/home/homeassistant/.homeassistant/deps/pywemo/discovery.py”, line 40, in device_from_description
return device_from_uuid_and_location(uuid, mac, description_url)
File “/home/homeassistant/.homeassistant/deps/pywemo/discovery.py”, line 46, in device_from_uuid_and_location
return Switch(location, mac)
File “/home/homeassistant/.homeassistant/deps/pywemo/ouimeaux_device/init.py”, line 69, in init
service = Service(self, svc, base_url)
File “/home/homeassistant/.homeassistant/deps/pywemo/ouimeaux_device/api/service.py”, line 81, in init
xml = requests.get(url, timeout=10)
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/api.py”, line 72, in get
return request(‘get’, url, params=params, **kwargs)
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/api.py”, line 58, in request
return session.request(method=method, url=url, **kwargs)
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/sessions.py”, line 518, in request
resp = self.send(prep, **send_kwargs)
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/sessions.py”, line 639, in send
r = adapter.send(request, **kwargs)
File “/srv/homeassistant/homeassistant_venv/lib/python3.4/site-packages/requests/adapters.py”, line 494, in send
raise ConnectTimeout(e, request=request)
requests.exceptions.ConnectTimeout: HTTPConnectionPool(host=‘192.168.1.11’, port=49153): Max retries exceeded with url: /setupservice.xml (Caused by ConnectTimeoutError(<requests.packages.urllib3.connection.HTTPConnection object at 0x69f24ed0>, ‘Connection to 192.168.1.11 timed out. (connect timeout=10)’))

i finally got it fixed. all i had to do was open the window physically, then close it again. afterward, HA was reporting normal again. believe it or not, EyezOn portal was reporting the same thing as HA. but both are back to normal now. im guessing the window sensors lost contact with the alarm console and when i opened the windows, it sync back again?